## ucar.netcdf
Interface DimensionSet

All Known Implementing Classes:
  DimensionDictionary

public interface DimensionSet

DimensionSet is an inquiry interface for a collection of Dimensions. Uses naming conventions of Collection framework.

See Also:
  `Collection`, `Dimension`

Method Summary
`boolean` `contains(Object oo)` Tests if the argument is in this set.
`boolean` `contains(String name)` Tests if the Dimension identified by `name` is in this set.
`Dimension` `get(String name)` Retrieve the dimension associated with the specified name.
`DimensionIterator` `iterator()` Returns DimensionIterator for the elements.
`int` `size()` Returns the number of elements in the set
`Dimension[]` `toArray()` Returns a new Array containing the elements of this set.

Method Detail

### size

    public int size()

  Returns the number of elements in the set

  Returns:
    int number of elements in the set

### iterator

    public DimensionIterator iterator()

  Returns DimensionIterator for the elements.

  Returns:
    DimensionIterator for the elements.
  See Also:
    `DimensionIterator`

### toArray

    public Dimension[] toArray()

  Returns a new Array containing the elements of this set.

  Returns:
    a new Array containing the elements of this set.

### get

    public Dimension get(String name)

  Retrieve the dimension associated with the specified name.

  Parameters:
    `name` - String which identifies the desired dimension
  Returns:
    the dimension, or null if not found

### contains

    public boolean contains(String name)

  Tests if the Dimension identified by `name` is in this set.

  Parameters:
    `name` - String which identifies the desired dimension
  Returns:
    `true` if and only if this set contains the named Dimension.

### contains

    public boolean contains(Object oo)

  Tests if the argument is in this set.

  Parameters:
    `oo` - some Object
  Returns:
    `true` if and only if this set contains `oo`